GDB (xrefs)

Public Attributes | List of all members
ada_tasks_pspace_data Struct Reference

## Public Attributes
int | initialized_p
struct type * | atcb_type
struct type * | atcb_common_type
struct type * | atcb_ll_type
struct type * | atcb_call_type
struct atcb_fieldnos | atcb_fieldno

## Detailed Description

Definition at line 138 of file ada-tasks.c.

## Member Data Documentation

## ◆ atcb_call_type

struct type* ada_tasks_pspace_data::atcb_call_type

Definition at line 155 of file ada-tasks.c.

Referenced by ada_get_tcb_types_info(), and read_atcb().

## ◆ atcb_common_type

struct type* ada_tasks_pspace_data::atcb_common_type

Definition at line 149 of file ada-tasks.c.

Referenced by ada_get_tcb_types_info().

## ◆ atcb_fieldno

struct atcb_fieldnos ada_tasks_pspace_data::atcb_fieldno

Definition at line 158 of file ada-tasks.c.

Referenced by ada_get_tcb_types_info(), ptid_from_atcb_common(), read_atcb(), and read_known_tasks_list().

## ◆ atcb_ll_type

struct type* ada_tasks_pspace_data::atcb_ll_type

Definition at line 152 of file ada-tasks.c.

Referenced by ada_get_tcb_types_info().

## ◆ atcb_type

struct type* ada_tasks_pspace_data::atcb_type

Definition at line 146 of file ada-tasks.c.

Referenced by ada_get_tcb_types_info(), read_atcb(), and read_known_tasks_list().

## ◆ initialized_p

int ada_tasks_pspace_data::initialized_p

Definition at line 143 of file ada-tasks.c.

Referenced by ada_get_tcb_types_info(), ada_tasks_invalidate_pspace_data(), and read_atcb().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ada-tasks.c